> For the complete documentation index, see [llms.txt](https://docs.clashperk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clashperk.com/others/commands/autorole/config.md).

# /autorole config

Manage automatic roles settings. Options for /autorole config in ClashPerk, the Clash of Clans bot for Discord.

Manage automatic roles settings.

{% hint style="info" %}
For setup steps and examples, read [Auto Roles for Clan Role, Town Hall and League](https://docs.clashperk.com/features/auto-role.md).
{% endhint %}

## Options

| Name                         | Type          | Description                                                      |
| ---------------------------- | ------------- | ---------------------------------------------------------------- |
| `auto_update_roles`          | Text          | Whether to update roles automatically.                           |
| `role_removal_delays`        | Text          | Whether to delay the removal of roles.                           |
| `role_addition_delays`       | Text          | Whether to delay the addition of roles.                          |
| `delay_exclusion_roles`      | Text          | Roles that are excluded from delays.                             |
| `always_force_refresh_roles` | True or False | Whether to enforce role refresh for individual users by default. |
| `allow_not_linked`           | True or False | Whether to allow not linked players to get roles.                |
| `verified_only_clan_roles`   | Text          | Whether to grant clans roles to verified players only.           |

## Related commands

* [/autorole builder-hall](https://docs.clashperk.com/others/commands/autorole/builder-hall.md): Manage automatic Builder Hall roles.
* [/autorole builder-leagues](https://docs.clashperk.com/others/commands/autorole/builder-leagues.md): Set builder base league roles.
* [/autorole clan-roles](https://docs.clashperk.com/others/commands/autorole/clan-roles.md): Manage automatic role management for clan roles.
* [/autorole disable](https://docs.clashperk.com/others/commands/autorole/disable.md): Disable automatic clan roles.
* [/autorole eos-push](https://docs.clashperk.com/others/commands/autorole/eos-push.md): Set end of season push roles.
* [/autorole family](https://docs.clashperk.com/others/commands/autorole/family.md): Set family roles.
* [/autorole leagues](https://docs.clashperk.com/others/commands/autorole/leagues.md): Manage automatic role management for leagues.
* [/autorole list](https://docs.clashperk.com/others/commands/autorole/list.md): List all auto roles and settings.
* [/autorole refresh](https://docs.clashperk.com/others/commands/autorole/refresh.md): Refresh roles manually.
* [/autorole town-hall](https://docs.clashperk.com/others/commands/autorole/town-hall.md): Manage automatic role management for town hall levels.
* [/autorole wars](https://docs.clashperk.com/others/commands/autorole/wars.md): Set automatic war roles.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.clashperk.com/others/commands/autorole/config.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
